Bug 197557 - system-network-config crashes when starting
system-network-config crashes when starting
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-network (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-03 22:53 EDT by Mark Williams
Modified: 2010-11-24 07:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Prior to this update, system-config-network may have been unable to load icon files, and failed to start with the following error message: AttributeError: 'NoneType' object has no attribute 'set_from_pixbuf' This error has been fixed, and missing icon files no longer cause the utility to crash.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-24 07:42:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Williams 2006-07-03 22:53:11 EDT
Description of problem:

Cannot start the network configuration kde applet

Version-Release number of selected component (if applicable):

1.3.22.0.EL.4.2

How reproducible:

Always


Steps to Reproduce:
1. Boot system
2. Start system-network-config from launcher in applications menu
3.
  
Actual results:

Crash with log:

Component: system-config-network
Version: 1.3.22.0.EL.4.2
Summary: TBd26b143b maindialog.py:123:__init__:AttributeError: 'NoneType' object
has no attribute 'set_from_pixbuf'
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 166, in main
    window = mainDialog()
  File
"/usr/src/build/681880-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py",
line 123, in __init__
AttributeError: 'NoneType' object has no attribute 'set_from_pixbuf'

Local variables in innermost frame:
widget: None
self: <netconfpkg.gui.maindialog.mainDialog instance at 0xb7af6f8c>
glade_file: /usr/share/system-config-network/netconfpkg/gui/maindialog.glade

Expected results:

Start of kde application

Additional info:
Comment 1 Harald Hoyer 2006-08-01 11:24:41 EDT
Please check your installation:

# rpm -V system-config-network && echo "Installation OK"
Comment 2 Mark Williams 2006-08-04 14:39:06 EDT
[root@rhat markw]# rpm -V system-config-network && echo "Installation OK"
Installation OK
[root@rhat markw]#
Comment 3 Adrin Jalali 2008-04-22 10:16:03 EDT
my system-config-network crashes too. 
version :
system-config-network-1.5.6-1.fc9.noarch

this is the stack trace :

Component: system-config-network
Version: 1.5.6
Summary: TB57735b68 connection.py:607:call_blocking:DBusException:
org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Hal was not
provided by any .service files

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 166, in runit
    window = mainDialog()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
275, in __init__
    self.load()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
300, in load
    self.loadHardware()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
312, in loadHardware
    hardwarelist = getHardwareList()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
759, in getHardwareList
    __HWList.load()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
603, in load
    self.updateFromSystem()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
483, in updateFromSystem
    self.updateFromHal(hdellist)
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
447, in updateFromHal
    hal = NCBackendHal.NCBackendHal()
  File "/usr/share/system-config-network/netconfpkg/NCBackendHal.py", line 31,
in __init__
    self.halManagerObj = self._dbusBus.get_object("org.freedesktop.Hal",
"/org/freedesktop/Hal/Manager")
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 244, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 241, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 183, in
activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 281, in
start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 607, in
call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name
org.freedesktop.Hal was not provided by any .service files

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0xa01471c>
args: ('org.freedesktop.Hal', 0)
utf8_strings: False
bus_name: org.freedesktop.DBus
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
object_path: /org/freedesktop/DBus
timeout: -1.0
signature: su
dbus_interface: org.freedesktop.DBus
message: <dbus.lowlevel.MethodCallMessage object at 0x9f66510>
method: StartServiceByName


Comment 4 Harald Hoyer 2008-04-22 10:23:49 EDT
(In reply to comment #3)
> my system-config-network crashes too. 
> version :
> system-config-network-1.5.6-1.fc9.noarch

This version is from Fedora 9 Preview, and you seem to have a problem with your
haldaemon. Don't append bugreports, which are not related. Open a new one.
Comment 6 RHEL Product and Program Management 2008-10-31 12:43:33 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 11 Jaromir Hradilek 2010-11-09 06:26:16 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, system-config-network may have been unable to load icon files, and failed to start with the following error message:

  AttributeError: 'NoneType' object has no attribute 'set_from_pixbuf'

This error has been fixed, and missing icon files no longer cause the utility to crash.
Comment 14 errata-xmlrpc 2010-11-24 07:42:32 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0911.html

Note You need to log in before you can comment on or make changes to this bug.